%global pkgname umemcache
%global __provides_exclude_from .*/site-packages/.*\\.so$

Name:		python-umemcache
Version:	1.6.3
Release:	3%{?dist}
Summary:	Memcache client written in highly optimized C++ with Python

License:	BSD
URL:		https://pypi.python.org/pypi/umemcache
Source0:	https://pypi.python.org/packages/source/u/umemcache/%{pkgname}-%{version}.zip

BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildRequires: python-guppy
BuildRequires: memcached

%description
Ultra fast memcache client written in highly optimized C++ with
Python bindings.
ultramemcache is an ultra fast Memcache client written in
highly optimized C++ with Python bindings.

%prep
%setup -q -n %{pkgname}-%{version}
sed -i -e 's|"/usr/local/lib"|"%{_libdir}"|;' setup.py

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}
find %{buildroot} -name "*.so" | xargs chmod 0755

%check
export PYTHONPATH=%{buildroot}/%{python_sitearch}
touch /tmp/memcached 
chmod go+rw /tmp/memcached
memcached -d -P /tmp/memcached
sleep 1
python tests/tests.py
kill -9 $(cat /tmp/memcached)
rm -f /tmp/memcached

%files
%doc README.rst
%{python_sitearch}/%{pkgname}*

%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 15 2013 Yohan Graterol <yohangraterol92@gmail.com> - 1.6.3-2
- Add CFLAGS in build
* Sun Jul 14 2013 Yohan Graterol <yohangraterol92@gmail.com> - 1.6.3-1
- Change Version
* Mon Apr 29 2013 Yohan Graterol <yohangraterol92@gmail.com> - 1.6-2
- Change: Flags in macros, "dot" in summary, BR remove
  gcc, python-guppy (test).
* Sun Apr 07 2013 Yohan Graterol <yohangraterol92@gmail.com> - 1.6-1
- Initial packaging 
